Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.MMS3
Class MMS3Wrapper

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
          edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
              edu.udo.cs.miningmart.compiler.wrapper.dista.MMS3.MMS3Wrapper

    public class MMS3Wrapper

extends C45Wrapper

Version:
  $Id: MMS3Wrapper.java,v 1.4 2006/09/27 15:00:03 euler Exp $
Author:
  Alessandro Serra

Field Summary
`protected Centers` | `m_centers`
`protected int` | `m_cluster_num`
`protected boolean` | `m_optimize_cluster_num`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
`m_data, m_file_name, m_names`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`m_do_clean, m_log, m_md, m_ml_home, m_os_name, m_properties, m_result_name, m_sample_size, m4db`

Constructor Summary
`MMS3Wrapper(Step step, ExecutableOperator exOp)`

Method Summary
`protected void` | `callTool()`
`void` | `checkMetaData()`
`int` | `getClusterNum()`
`protected void` | `importResult()`
`protected void` | `saveResult()`
`void` | `setClusterNum(int n)`
`void` | `setOptimizeClusterNum(boolean v)`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
`clean, exportData, exportNames, exportTable, exportValue, getSampleTableName, getValues, getValues, makeQuery, setSampleTableName`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`callScript, getArtificalColumnName, getExecutableOperator, getM4Db, getSampleRatio, getStep, run, setConnection, setMetaData, setProperties, setResultName, setSampleSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_centers

    protected Centers m_centers

### m_cluster_num

    protected int m_cluster_num

### m_optimize_cluster_num

    protected boolean m_optimize_cluster_num

Constructor Detail

### MMS3Wrapper

    public MMS3Wrapper(Step step,
                       ExecutableOperator exOp)
                throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### setClusterNum

    public void setClusterNum(int n)

### getClusterNum

    public int getClusterNum()

### setOptimizeClusterNum

    public void setOptimizeClusterNum(boolean v)

### checkMetaData

    public void checkMetaData()
                       throws java.lang.Exception

  Overrides:
    `checkMetaData` in class `C45Wrapper`
  Throws:
    `java.lang.Exception`

### callTool

    protected void callTool()
                     throws java.lang.Exception

  Specified by:
    `callTool` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### importResult

    protected void importResult()
                         throws java.lang.Exception

  Specified by:
    `importResult` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### saveResult

    protected void saveResult()
                       throws java.lang.Exception

  Specified by:
    `saveResult` in class `Wrapper`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005